Why Is Vega and Vega-Lite In Kibana Still Supporting Old Versions Of the Package?

Why Is Vega and Vega-Lite In Kibana Still Supporting Old Versions Of the Package?

Vega currently is at 5.13.0 whilst Kibana only supports 4.3.0

Vega-Lite is now at 4.13.1 whilst Kibana only supports 2.6.0

I feel we will be disadvantaged somewhat on the dispairity of the versions coz of the features we can use inside Kibana. How come version management has not been caught up regularly in recent times?

Hi

There's good news: The newest versions will be supported in 7.9

Best,
Matthias

1 Like

estimated when will 7.9 be released?

Shouldn't take too long (Heard this wish was on multiple wishlists for Santa, should be safe to rewrite those ), we release our minors frequently
Best,
Matthias

7.6 was released in Feb, 7.7 in May, 7.8 in June, ...

how about Vega support for Kibana with OpenDistro?

You need to ask Open District folks for that.
Best,
Matthias